## org.jfree.chart.axis
Class DateTickMarkPosition

    java.lang.Object
      org.jfree.chart.axis.DateTickMarkPosition

All Implemented Interfaces:
  java.io.Serializable

public final class DateTickMarkPosition
extends java.lang.Object
implements java.io.Serializable

Used to indicate the required position of tick marks on a date axis relative to the underlying time period.

See Also:
  Serialized Form

Field Summary
`static DateTickMarkPosition` `END` End of period.
`static DateTickMarkPosition` `MIDDLE` Middle of period.
`static DateTickMarkPosition` `START` Start of period.

Method Summary
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`java.lang.String` `toString()` Returns a string representing the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### START

    public static final DateTickMarkPosition START

  Start of period.

### MIDDLE

    public static final DateTickMarkPosition MIDDLE

  Middle of period.

### END

    public static final DateTickMarkPosition END

  End of period.

Method Detail

### toString

    public java.lang.String toString()

  Returns a string representing the object.

  Returns:
    The string.

### equals

    public boolean equals(java.lang.Object obj)

  Returns `true` if this object is equal to the specified object, and `false` otherwise.

  Parameters:
    `obj` - the other object.
  Returns:
    A boolean.